Package com.xebialabs.xlrelease.domain.events

## Class TeamUpdatedEvent

- java.lang.Object
- - com.xebialabs.xlrelease.domain.events.TeamUpdatedEvent

- All Implemented Interfaces:
    `TeamEvent`, `XLReleaseEvent`, `java.io.Serializable`, `scala.Equals`, `scala.Product`

      public class TeamUpdatedEvent
      extends java.lang.Object
      implements TeamEvent, scala.Product, java.io.Serializable

  Event published when a team's members or roles are updated.

  param: containerId the container id to which the team belongs. param: original a copy of the original team before the update. You can use `original()` to see which members or roles were added or removed. param: updated the updated team.

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `TeamUpdatedEvent​(java.lang.String containerId, Team original, Team updated)` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static TeamUpdatedEvent` | `apply​(Release release, Team original, Team updated)` |
    `static TeamUpdatedEvent` | `apply​(java.lang.String containerId, Team original, Team updated)` |
    `boolean` | `canEqual​(java.lang.Object x$1)` |
    `java.lang.String` | `containerId()` |
    `TeamUpdatedEvent` | `copy​(java.lang.String containerId, Team original, Team updated)` |
    `java.lang.String` | `copy$default$1()` |
    `Team` | `copy$default$2()` |
    `Team` | `copy$default$3()` |
    `boolean` | `equals​(java.lang.Object x$1)` |
    `int` | `hashCode()` |
    `Team` | `original()` |
    `int` | `productArity()` |
    `java.lang.Object` | `productElement​(int x$1)` |
    `java.lang.String` | `productElementName​(int x$1)` |
    `scala.collection.Iterator<java.lang.Object>` | `productIterator()` |
    `java.lang.String` | `productPrefix()` |
    `java.lang.String` | `toString()` |
    `static scala.Option<scala.Tuple3<java.lang.String,​Team,​Team>>` | `unapply​(TeamUpdatedEvent x$0)` |
    `Team` | `updated()` |
    `java.lang.String` | `username()` |
    `void` | `username_$eq​(java.lang.String x$1)` |

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface scala.Product

      `productElementNames`

    - ### Methods inherited from interface com.xebialabs.xlrelease.domain.events.XLReleaseEvent

      `timeMs, timestamp`

- - ### Constructor Detail

    - #### TeamUpdatedEvent

          public TeamUpdatedEvent​(java.lang.String containerId,
                                  Team original,
                                  Team updated)

  - ### Method Detail

    - #### apply

          public static TeamUpdatedEvent apply​(Release release,
                                               Team original,
                                               Team updated)

    - #### apply

          public static TeamUpdatedEvent apply​(java.lang.String containerId,
                                               Team original,
                                               Team updated)

    - #### unapply

          public static scala.Option<scala.Tuple3<java.lang.String,​Team,​Team>> unapply​(TeamUpdatedEvent x$0)

    - #### username

          public java.lang.String username()

      Specified by:
        `username` in interface `XLReleaseEvent`

    - #### username_$eq

          public void username_$eq​(java.lang.String x$1)

      Specified by:
        `username_$eq` in interface `XLReleaseEvent`

    - #### containerId

          public java.lang.String containerId()

    - #### original

          public Team original()

    - #### updated

          public Team updated()

    - #### copy

          public TeamUpdatedEvent copy​(java.lang.String containerId,
                                       Team original,
                                       Team updated)

    - #### copy$default$1

          public java.lang.String copy$default$1()

    - #### copy$default$2

          public Team copy$default$2()

    - #### copy$default$3

          public Team copy$default$3()

    - #### productPrefix

          public java.lang.String productPrefix()

      Specified by:
        `productPrefix` in interface `scala.Product`

    - #### productArity

          public int productArity()

      Specified by:
        `productArity` in interface `scala.Product`

    - #### productElement

          public java.lang.Object productElement​(int x$1)

      Specified by:
        `productElement` in interface `scala.Product`

    - #### productIterator

          public scala.collection.Iterator<java.lang.Object> productIterator()

      Specified by:
        `productIterator` in interface `scala.Product`

    - #### canEqual

          public boolean canEqual​(java.lang.Object x$1)

      Specified by:
        `canEqual` in interface `scala.Equals`

    - #### productElementName

          public java.lang.String productElementName​(int x$1)

      Specified by:
        `productElementName` in interface `scala.Product`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### equals

          public boolean equals​(java.lang.Object x$1)

      Specified by:
        `equals` in interface `scala.Equals`
      Overrides:
        `equals` in class `java.lang.Object`